import { User, MatrixClient, RoomMember } from "matrix-js-sdk/src/matrix";
import { VerificationRequest } from "matrix-js-sdk/src/crypto-api";
import { IDevice } from "./components/views/right_panel/UserInfo";
export declare function verifyDevice(matrixClient: MatrixClient, user: User, device: IDevice): Promise<void>;
export declare function legacyVerifyUser(matrixClient: MatrixClient, user: User): Promise<void>;
export declare function verifyUser(matrixClient: MatrixClient, user: User): Promise<void>;
export declare function pendingVerificationRequestForUser(matrixClient: MatrixClient, user: User | RoomMember): VerificationRequest | undefined;
